"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var AccountSystemEntity_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountSystemEntity = void 0;
const general_1 = require("@tomei/general");
const post_history_repository_1 = require("./post-history.repository");
const cuid_1 = require("cuid");
const common_1 = require("@nestjs/common");
let AccountSystemEntity = AccountSystemEntity_1 = class AccountSystemEntity extends general_1.ObjectBase {
    constructor() {
        super(...arguments);
        this.CompanyId = '';
        this.PostedToAccSystemYN = 'N';
        this.AccSystemRefId = '';
        this.PostedById = '';
    }
    postToAccSystem(dbTransaction, loginUser) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const company = 'test';
                this.PostedToAccSystemYN = 'Y';
                this.PostedById = loginUser.ObjectId;
                this.PostedDateTime = new Date();
                const entity = yield this.RepositoryBase.findByPk(this.ObjectId);
                const updated = yield entity.update({
                    PostedToAccSystemYN: this.PostedToAccSystemYN,
                    PostedById: this.PostedById,
                    PostedDateTime: this.PostedDateTime,
                }, { transaction: dbTransaction });
                yield AccountSystemEntity_1.PostHistoryRepository.create({
                    PostId: (0, cuid_1.default)(),
                    DateTime: this.PostedDateTime,
                    ItemId: this.ObjectId,
                    ItemType: this.TableName,
                    ItemValue: JSON.stringify(updated),
                    PostedById: this.PostedById,
                    AccSystemCode: 'test',
                    AccSystemRefId: this.AccSystemRefId,
                }, { transaction: dbTransaction });
            }
            catch (err) {
                throw err;
            }
        });
    }
};
AccountSystemEntity.PostHistoryRepository = new post_history_repository_1.PostHistoryRepository();
AccountSystemEntity = AccountSystemEntity_1 = __decorate([
    (0, common_1.Injectable)()
], AccountSystemEntity);
exports.AccountSystemEntity = AccountSystemEntity;
//# sourceMappingURL=account-system-entity.js.map