import { AccountSystemEntity } from '../account-system-entity/account-system-entity';
import AccountModel from '../models/account.entity';
import { AccountRepository } from './account.repository';
export default class Account extends AccountSystemEntity {
    AccountNo: string;
    ParentAccountNo?: string;
    Name: string;
    Description: string;
    AccountType: string;
    AccountSubtype: string;
    OwnerId: string;
    OwnerType: string;
    RelatedObjectId: string;
    RelatedObjectType: string;
    CreatedById: string;
    CreatedAt: Date;
    UpdatedById: string;
    UpdatedAt: Date;
    private static _RepositoryBase;
    private _DbTransaction;
    private _IsNewRecord;
    private get IsNewRecord();
    private set IsNewRecord(value);
    get RepositoryBase(): AccountRepository;
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    constructor(dbTransaction?: any, accountNo?: string);
    private init;
    static initAccount(dbTransaction: any, accountNo: string): Promise<Account>;
    static initialize(): void;
    validateAccountValue(): void;
    isParentAccountExists(): boolean;
    save(AccSystemRefId: string, userId: string, dbTransaction?: any): Promise<AccountModel>;
}
