declare const dotenv: any;
declare const defaultConfig: {
    commonApiUrl: string;
    accountingSystem: {
        quickbooks: {
            packageName: string;
            accountSystemClass: string;
            apiUrl: string;
        };
        xero: {
            packageName: string;
            accountSystemClass: string;
            apiUrl: string;
        };
    };
    financeCompanies: {
        'TXG-FS': {
            companyId: string;
            companyName: string;
            companySystemCode: string;
            companySystemRefId: string;
            accountSystemCode: string;
            accountingSystem: string;
            apiKey: string;
            redirectUrl: string;
            apiSecret: string;
            paymentMethods: {
                cash: {
                    id: string;
                    name: string;
                    types: {
                        cash: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                bankTransfer: {
                    id: string;
                    name: string;
                    types: {
                        bankTransfer: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                debitCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                creditCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        amex: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                mandate: {
                    id: string;
                    name: string;
                    types: {
                        RHB: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
            };
        };
        'TXG-B': {
            companyId: string;
            companyName: string;
            companySystemCode: string;
            companySystemRefId: string;
            accountingSystem: string;
            accountSystemCode: string;
            apiKey: string;
            apiSecret: string;
            redirectUrl: string;
            paymentMethods: {
                cash: {
                    id: string;
                    name: string;
                    types: {
                        cash: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                bankTransfer: {
                    id: string;
                    name: string;
                    types: {
                        banktransfer: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                debitCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                creditCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        amex: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                eWallet: {
                    id: string;
                    name: string;
                    types: {
                        touchngo: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        Boost: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        GrabPay: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        ShopeePay: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                mandate: {
                    id: string;
                    name: string;
                    types: {
                        RHB: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                storeCredit: {
                    id: string;
                    name: string;
                    types: {
                        scTomei: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                pointsRedemption: {
                    id: string;
                    name: string;
                    types: {
                        prTomei: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                voucher: {
                    id: string;
                    name: string;
                    types: {
                        gift: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        cash: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
            };
        };
    };
};
declare const config: {
    development: {
        commonApiUrl: string;
        accountingSystem: {
            quickbooks: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
            xero: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
        };
        financeCompanies: {
            'TXG-FS': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountSystemCode: string;
                accountingSystem: string;
                apiKey: string;
                redirectUrl: string;
                apiSecret: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            bankTransfer: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
            'TXG-B': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountingSystem: string;
                accountSystemCode: string;
                apiKey: string;
                apiSecret: string;
                redirectUrl: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            banktransfer: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    eWallet: {
                        id: string;
                        name: string;
                        types: {
                            touchngo: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            Boost: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            GrabPay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            ShopeePay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    storeCredit: {
                        id: string;
                        name: string;
                        types: {
                            scTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    pointsRedemption: {
                        id: string;
                        name: string;
                        types: {
                            prTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    voucher: {
                        id: string;
                        name: string;
                        types: {
                            gift: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
        };
        environment: string;
    };
    test: {
        commonApiUrl: string;
        accountingSystem: {
            quickbooks: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
            xero: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
        };
        financeCompanies: {
            'TXG-FS': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountSystemCode: string;
                accountingSystem: string;
                apiKey: string;
                redirectUrl: string;
                apiSecret: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            bankTransfer: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
            'TXG-B': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountingSystem: string;
                accountSystemCode: string;
                apiKey: string;
                apiSecret: string;
                redirectUrl: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            banktransfer: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    eWallet: {
                        id: string;
                        name: string;
                        types: {
                            touchngo: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            Boost: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            GrabPay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            ShopeePay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    storeCredit: {
                        id: string;
                        name: string;
                        types: {
                            scTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    pointsRedemption: {
                        id: string;
                        name: string;
                        types: {
                            prTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    voucher: {
                        id: string;
                        name: string;
                        types: {
                            gift: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
        };
        environment: string;
    };
    staging: {
        commonApiUrl: string;
        accountingSystem: {
            quickbooks: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
            xero: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
        };
        financeCompanies: {
            'TXG-FS': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountSystemCode: string;
                accountingSystem: string;
                apiKey: string;
                redirectUrl: string;
                apiSecret: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            bankTransfer: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
            'TXG-B': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountingSystem: string;
                accountSystemCode: string;
                apiKey: string;
                apiSecret: string;
                redirectUrl: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            banktransfer: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    eWallet: {
                        id: string;
                        name: string;
                        types: {
                            touchngo: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            Boost: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            GrabPay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            ShopeePay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    storeCredit: {
                        id: string;
                        name: string;
                        types: {
                            scTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    pointsRedemption: {
                        id: string;
                        name: string;
                        types: {
                            prTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    voucher: {
                        id: string;
                        name: string;
                        types: {
                            gift: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
        };
        environment: string;
    };
    production: {
        commonApiUrl: string;
        accountingSystem: {
            quickbooks: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
            xero: {
                packageName: string;
                accountSystemClass: string;
                apiUrl: string;
            };
        };
        financeCompanies: {
            'TXG-FS': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountSystemCode: string;
                accountingSystem: string;
                apiKey: string;
                redirectUrl: string;
                apiSecret: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            bankTransfer: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountNo: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
            'TXG-B': {
                companyId: string;
                companyName: string;
                companySystemCode: string;
                companySystemRefId: string;
                accountingSystem: string;
                accountSystemCode: string;
                apiKey: string;
                apiSecret: string;
                redirectUrl: string;
                paymentMethods: {
                    cash: {
                        id: string;
                        name: string;
                        types: {
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    bankTransfer: {
                        id: string;
                        name: string;
                        types: {
                            banktransfer: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    debitCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    creditCard: {
                        id: string;
                        name: string;
                        types: {
                            mastercard: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            visa: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            amex: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    eWallet: {
                        id: string;
                        name: string;
                        types: {
                            touchngo: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            Boost: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            GrabPay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            ShopeePay: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    mandate: {
                        id: string;
                        name: string;
                        types: {
                            RHB: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    storeCredit: {
                        id: string;
                        name: string;
                        types: {
                            scTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    pointsRedemption: {
                        id: string;
                        name: string;
                        types: {
                            prTomei: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                    voucher: {
                        id: string;
                        name: string;
                        types: {
                            gift: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                            cash: {
                                id: string;
                                name: string;
                                accountno: string;
                                processingFeeRate: number;
                                processingFeeAccountNo: string;
                            };
                        };
                    };
                };
            };
        };
        environment: string;
    };
};
type Config = {
    commonApiUrl: string;
    environment: string;
    accountingSystem: {
        quickbooks: {
            packageName: string;
            accountSystemClass: string;
            API_Url: string;
        };
        xero: {
            packageName: string;
            accountSystemClass: string;
            API_Url: string;
        };
    };
    systemConfig: {
        EZC: {
            accountingSystem: string;
            companyName: string;
            API_Key: string;
            API_Secret: string;
            redirectUrl: string;
        };
        EZG: {
            accountingSystem: string;
            companyName: string;
            API_Key: string;
            API_Secret: string;
            redirectUrl: string;
        };
    };
};
declare const getConfig: () => {
    commonApiUrl: string;
    accountingSystem: {
        quickbooks: {
            packageName: string;
            accountSystemClass: string;
            apiUrl: string;
        };
        xero: {
            packageName: string;
            accountSystemClass: string;
            apiUrl: string;
        };
    };
    financeCompanies: {
        'TXG-FS': {
            companyId: string;
            companyName: string;
            companySystemCode: string;
            companySystemRefId: string;
            accountSystemCode: string;
            accountingSystem: string;
            apiKey: string;
            redirectUrl: string;
            apiSecret: string;
            paymentMethods: {
                cash: {
                    id: string;
                    name: string;
                    types: {
                        cash: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                bankTransfer: {
                    id: string;
                    name: string;
                    types: {
                        bankTransfer: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                debitCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                creditCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        amex: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                mandate: {
                    id: string;
                    name: string;
                    types: {
                        RHB: {
                            id: string;
                            name: string;
                            accountNo: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
            };
        };
        'TXG-B': {
            companyId: string;
            companyName: string;
            companySystemCode: string;
            companySystemRefId: string;
            accountingSystem: string;
            accountSystemCode: string;
            apiKey: string;
            apiSecret: string;
            redirectUrl: string;
            paymentMethods: {
                cash: {
                    id: string;
                    name: string;
                    types: {
                        cash: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                bankTransfer: {
                    id: string;
                    name: string;
                    types: {
                        banktransfer: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                debitCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                creditCard: {
                    id: string;
                    name: string;
                    types: {
                        mastercard: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        visa: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        amex: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                eWallet: {
                    id: string;
                    name: string;
                    types: {
                        touchngo: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        Boost: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        GrabPay: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        ShopeePay: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                mandate: {
                    id: string;
                    name: string;
                    types: {
                        RHB: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                storeCredit: {
                    id: string;
                    name: string;
                    types: {
                        scTomei: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                pointsRedemption: {
                    id: string;
                    name: string;
                    types: {
                        prTomei: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
                voucher: {
                    id: string;
                    name: string;
                    types: {
                        gift: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                        cash: {
                            id: string;
                            name: string;
                            accountno: string;
                            processingFeeRate: number;
                            processingFeeAccountNo: string;
                        };
                    };
                };
            };
        };
    };
    environment: string;
};
