"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const general_1 = require("@tomei/general");
const document_item_repository_1 = require("./document-item.repository");
class DocumentItem extends general_1.ObjectBase {
    get ObjectId() {
        return this.ItemId;
    }
    get ObjectName() {
        return this.Name;
    }
    get TableName() {
        return 'finance_DocumentItem';
    }
    get Document() {
        return this._Document;
    }
    set Document(document) {
        this._Document = document;
    }
    get DbTransaction() {
        return this._DbTransaction;
    }
    set DbTransaction(dbTransaction) {
        this._DbTransaction = dbTransaction;
    }
    get Amount() {
        return this._Amount;
    }
    set Amount(amount) {
        this._Amount = amount;
        this._Document.reCalculateAmount();
    }
    constructor(dbTransaction, document) {
        super();
        this.DocumentItemId = 'New';
        this.DocNo = '';
        this.Name = '';
        this.NameBM = '';
        this.Description = '';
        this.ItemId = '';
        this.ItemType = '';
        this.ItemSKU = '';
        this.ItemSerialNo = '';
        this.Currency = 'MYR';
        this.UnitPrice = 0;
        this.Quantity = 0;
        this.QuantityUOM = 'Pieces';
        this._Amount = 0;
        this.TaxCode = '';
        this.TaxAmount = 0;
        this.TaxRate = 0;
        this.TaxInclusiveYN = 'N';
        this.DtAccountNo = '';
        this.CtAccountNo = '';
        this._DbTransaction = dbTransaction;
        this._Document = document;
    }
    init(data) {
        this.DocumentItemId = data.DocumentItemId || this.DocumentItemId;
        this.DocNo = data.DocNo || this.DocNo;
        this.Name = data.Name || this.Name;
        this.NameBM = data.NameBM || this.NameBM;
        this.Description = data.Description || this.Description;
        this.ItemId = data.ItemId || this.ItemId;
        this.ItemType = data.ItemType || this.ItemType;
        this.ItemSKU = data.ItemSKU || this.ItemSKU;
        this.ItemSerialNo = data.ItemSerialNo || this.ItemSerialNo;
        this.Currency = data.Currency || this.Currency;
        this.UnitPrice = data.UnitPrice || this.UnitPrice;
        this.Quantity = data.Quantity || this.Quantity;
        this.QuantityUOM = data.QuantityUOM || this.QuantityUOM;
        this._Amount = data.Amount || this._Amount;
        this.TaxCode = data.TaxCode || this.TaxCode;
        this.TaxAmount = data.TaxAmount || this.TaxAmount;
        this.TaxRate = data.TaxRate || this.TaxRate;
        this.TaxInclusiveYN = data.TaxInclusiveYN || this.TaxInclusiveYN;
        this.DtAccountNo = data.DtAccountNo || this.DtAccountNo;
        this.CtAccountNo = data.CtAccountNo || this.CtAccountNo;
    }
}
exports.default = DocumentItem;
DocumentItem._RepositoryBase = new document_item_repository_1.DocumentItemRepository();
//# sourceMappingURL=document-item.js.map