/// <reference types="multer" />
import { CommonService as MediaCommonService, MediasModel } from '@tomei/media';
import { DocumentStatus, DocType } from '../enum';
import { IDocumentAttr } from './interfaces/document-attr.interface';
import DocumentItem from './document-item';
import { AccountSystemEntity } from '../account-system-entity/account-system-entity';
import { DocumentRepository } from './document.repository';
import FinanceCustomerBase from '../customer/customer';
import DocumentModel from '../models/document.entity';
export default class Document extends AccountSystemEntity {
    DocNo: string;
    private _DocType;
    private _DocDate;
    Currency: string;
    private _Amount;
    Description: string;
    private _Status;
    IssuedById: string;
    IssuedToId: string;
    IssuedToType: string;
    RelatedObjectId: string;
    RelatedObjectType: string;
    CreatedById: string;
    CreatedAt: Date;
    UpdatedById: string;
    UpdatedAt: Date;
    UseAccSystemDocYN: string;
    private _DocHTMLFileMediaId;
    private _DocPDFFileMediaId;
    private static _RepositoryBase;
    private static _DocumentItemRepository;
    private _DbTransaction;
    private _IsNewRecord;
    private _DocumentItems;
    private static _MediaRepository;
    mediaCommonService: MediaCommonService;
    private get IsNewRecord();
    private set IsNewRecord(value);
    get DocType(): DocType;
    set DocType(docType: DocType);
    get DocDate(): Date;
    set DocDate(date: Date);
    get DocHTMLFileMediaId(): string;
    set DocHTMLFileMediaId(mediaId: string);
    get DocPDFFileMediaId(): string;
    set DocPDFFileMediaId(mediaId: string);
    get Amount(): number;
    private set Amount(value);
    get Status(): DocumentStatus;
    private set Status(value);
    get RepositoryBase(): DocumentRepository;
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    constructor(dbTransaction?: any, docNo?: string);
    static initDocument(dbTransaction: any, docNo: string): Promise<Document>;
    reCalculateAmount(): Promise<void>;
    get DocumentItems(): Promise<DocumentItem[]>;
    static DEFAULT_INVOICE_TEMPLATE_HTML(): Promise<Express.Multer.File>;
    static DEFAULT_INVOICE_TEMPLATE_PDF(): Promise<Express.Multer.File>;
    get DocumentFileInHTML(): Promise<MediasModel>;
    get DocumentFileInPDF(): Promise<MediasModel>;
    init(params: IDocumentAttr): void;
    generateInvoice(userId?: string, customer?: FinanceCustomerBase): Promise<{
        HTMLMedia: MediasModel;
        PDFMedia: MediasModel;
    }>;
    generateCreditNote(userId?: string, customer?: FinanceCustomerBase): Promise<void>;
    newDocumentItem(documentItem?: DocumentItem): Promise<DocumentItem>;
    getPreviousDocument(docType: DocType): Promise<DocumentModel>;
}
