import { LoginUserBase, ObjectBase } from '@tomei/general';
import Account from '../account/account';
import JournalEntry from '../journal-entry/journal-entry';
import FinanceCustomerBase from '../customer/customer';
import Document from '../document/document';
import { IAccountSystem } from '../interfaces';
import Payment from '../payment/payment';
import PaymentMethod from '../payment-method/payment-method';
export default class FinanceCompany extends ObjectBase {
    private _CompanyId;
    private _CompSystemCode;
    private _CompSystemRefId;
    private _AccSystemCode;
    private static _htFinanceCompanyIds;
    private static _htFinanceCompanies;
    private static _financeCompanyRepository;
    private static _PaymentRepository;
    private static _PaymentItemRepository;
    private static _PaymentPaidWithRepository;
    private static _PaymentMethodRepository;
    private static _PaymentMethodTypeRepository;
    private static _DocumentRepository;
    private static _DocumentItemRepository;
    private static _FinanceCustomerRepository;
    private static _LedgerTransactionRepository;
    private static _AccountRepository;
    private _AccountingSystem;
    private _DbTransaction;
    private _PaymentMethods;
    get CompSystemCode(): string;
    private set CompSystemCode(value);
    get CompSystemRefId(): string;
    set CompSystemRefId(id: string);
    get AccSystemCode(): string;
    private set AccSystemCode(value);
    get CompanyId(): string;
    get ObjectId(): string;
    private set ObjectId(value);
    get ObjectName(): string;
    get TableName(): string;
    get AccountingSystem(): IAccountSystem;
    set AccountingSystem(system: IAccountSystem);
    constructor(compSystemCode: string, compSystemRefId: string, accSystemCode: string);
    static getFinanceCompanyId(compSystemCode: string, compSystemRefId: string, accSystemCode: string): Promise<string>;
    static getFinanceCompany(companyId: string): Promise<FinanceCompany>;
    static createFinanceCompany(dbTransaction: any, loginUser: LoginUserBase, companyId: string, compSystemCode: string, compSystemRefId: string, accSystemCode: string): Promise<any>;
    createCustomer(dbTransaction: any, custSystemCode: string, custSystemRefId: string, customer: FinanceCustomerBase): Promise<FinanceCustomerBase>;
    postJournal(dbTransaction: any, journalEntry: JournalEntry): Promise<void>;
    createAccount(dbTransaction: any, account: Account): Promise<Account>;
    issueInvoice(dbTransaction: any, invoice: Document, loginUser?: LoginUserBase, customer?: FinanceCustomerBase, dtAccountNo?: string): Promise<Document>;
    issueDebitNote(dbTransaction: any, loginUser: LoginUserBase, invoice: Document, customer: FinanceCustomerBase, dtAccountNo?: string): Promise<Document>;
    issueCreditNote(dbTransaction: any, loginUser: LoginUserBase, creditNote: Document, customer: FinanceCustomerBase, ctAccountNo?: string): Promise<Document>;
    collectPayment(dbTransaction: any, loginUser: LoginUserBase, payment: Payment, customer: FinanceCustomerBase, ctAccountNo?: string): Promise<Payment>;
    makePayment(dbTransaction: any, loginUser: LoginUserBase, payment: Payment, customer: FinanceCustomerBase, dtAccountNo?: string): Promise<Payment>;
    get PaymentMethods(): Promise<PaymentMethod[]>;
    LoadPaymentMethods(): Promise<void>;
}
