import { ILedgerTransactionAttr } from './interfaces/ledger-transaction-attr.interface';
import { TransactionTypeOptions } from '../enum/transaction-type.enum';
export default class LedgerTransaction {
    TransactionId: string;
    TransactionType: TransactionTypeOptions;
    JournalEntryId: string;
    AccountNo: string;
    Date: Date;
    Name: string;
    Description: string;
    Currency: string;
    DebitAmount: number;
    CreditAmount: number;
    RelatedObjectId: string;
    RelatedObjectType: string;
    RelatedDocNo: string;
    RelatedPaymentId: string;
    private _DbTransaction;
    private static _LedgerTransactionRepository;
    constructor(dbTransaction?: any, transactionId?: string);
    init(params?: ILedgerTransactionAttr): void;
    getData(): {
        TransactionId: string;
        TransactionType: TransactionTypeOptions;
        JournalEntryId: string;
        AccountNo: string;
        Date: Date;
        Name: string;
        Description: string;
        Currency: string;
        DebitAmount: number;
        CreditAmount: number;
        RelatedObjectId: string;
        RelatedObjectType: string;
        RelatedDocNo: string;
        RelatedPaymentId: string;
    };
    create(): Promise<import("../models/ledger-transaction.entity").default>;
    findAll(options: any): Promise<import("../models/ledger-transaction.entity").default[]>;
    findAllWithPagination(options: any): Promise<{
        count: number;
        rows: import("../models/ledger-transaction.entity").default[];
    }>;
    accountTransactionHistory(accountNo: string): Promise<import("../models/ledger-transaction.entity").default[]>;
    newLedgerTransaction(transactionType: TransactionTypeOptions, journalEntryId?: string): Promise<any>;
}
