import { Model } from 'sequelize-typescript';
import LedgerTransactionModel from './ledger-transaction.entity';
import DocumentItemModel from './document-item.entity';
import FinanceCompanyModel from './finance-company.entity';
import PaymentMethodTypeModel from './payment-method-type.entity';
export default class AccountModel extends Model {
    AccountNo: string;
    CompanyId: string;
    ParentAccountNo: string;
    Name: string;
    Description: string;
    AccountType: string;
    AccountSubType: string;
    OwnerId: string;
    OwnerType: string;
    RelatedObjectId: string;
    RelatedObjectType: string;
    CreatedAt: Date;
    CreatedById: string;
    UpdatedAt: Date;
    UpdatedById: string;
    AccSystemRefId: string;
    PostedToAccSystemYN: string;
    PostedById: string;
    PostedDateTime: Date;
    PaymentMethodTypes: PaymentMethodTypeModel[];
    DocumentItems: DocumentItemModel[];
    LedgerTransactions: LedgerTransactionModel[];
    FinanceCompany: FinanceCompanyModel;
}
