"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const ledger_transaction_entity_1 = require("./ledger-transaction.entity");
const document_item_entity_1 = require("./document-item.entity");
const finance_company_entity_1 = require("./finance-company.entity");
const payment_method_type_entity_1 = require("./payment-method-type.entity");
let AccountModel = class AccountModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'AccountNo' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "AccountNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cl6nzvo780000qcw38ihpd8w6',
        description: 'CompanyId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => finance_company_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "CompanyId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'Parent account of this object' }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(30),
        allowNull: true,
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "ParentAccountNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Name of the account',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "Name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account description',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(2000),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "Description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Type',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "AccountType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Sub Type',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "AccountSubType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Owner id of the account',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "OwnerId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Owner type',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "OwnerType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'Associated Object id' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "RelatedObjectId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'Associated Object type' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "RelatedObjectType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'Timestamp for data creation.',
    }),
    sequelize_typescript_1.CreatedAt,
    __metadata("design:type", Date)
], AccountModel.prototype, "CreatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288d34bc7b4312a49',
        description: 'The CreatedById for Media.',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "CreatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'Timestamp for latest data modification',
    }),
    sequelize_typescript_1.UpdatedAt,
    __metadata("design:type", Date)
], AccountModel.prototype, "UpdatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288d34bc7b4312a49',
        description: 'The UpdatedById for Media.',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "UpdatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account id in finance system',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(10),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "AccSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'N',
        description: 'PostedToAccSystemYN',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "PostedToAccSystemYN", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288',
        description: 'PostedById',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], AccountModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'PostedToAccSystem Date',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], AccountModel.prototype, "PostedDateTime", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => payment_method_type_entity_1.default),
    __metadata("design:type", Array)
], AccountModel.prototype, "PaymentMethodTypes", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => document_item_entity_1.default),
    __metadata("design:type", Array)
], AccountModel.prototype, "DocumentItems", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => ledger_transaction_entity_1.default),
    __metadata("design:type", Array)
], AccountModel.prototype, "LedgerTransactions", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => finance_company_entity_1.default),
    __metadata("design:type", finance_company_entity_1.default)
], AccountModel.prototype, "FinanceCompany", void 0);
AccountModel = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: 'finance_Account', createdAt: false, updatedAt: false })
], AccountModel);
exports.default = AccountModel;
//# sourceMappingURL=account.entity.js.map