"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const finance_company_entity_1 = require("./finance-company.entity");
let FinanceCustomerModel = class FinanceCustomerModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'CustomerId' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "CustomerId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'CompanyId' }),
    (0, sequelize_typescript_1.ForeignKey)(() => finance_company_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "CompanyId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Cust System Code eg. "EZC", "CRM"',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(10),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "CustSystemCode", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'CustSystemRefId',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "CustSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Customer Id in API',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "AccSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'PostedToAccSystemYN',
        example: 'Y',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.CHAR(1),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "PostedToAccSystemYN", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288d34bc7b4312a49',
        description: 'PostedById',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinanceCustomerModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'PostedToAccSystem Date',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], FinanceCustomerModel.prototype, "PostedDateTime", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => finance_company_entity_1.default),
    __metadata("design:type", finance_company_entity_1.default)
], FinanceCustomerModel.prototype, "FinanceCompany", void 0);
FinanceCustomerModel = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: 'finance_Customer', createdAt: false, updatedAt: false })
], FinanceCustomerModel);
exports.default = FinanceCustomerModel;
//# sourceMappingURL=customer.entity.js.map