"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const document_entity_1 = require("./document.entity");
const account_entity_1 = require("./account.entity");
let DocumentItemModel = class DocumentItemModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(30),
        allowNull: false,
        primaryKey: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "DocumentItemId", void 0);
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => document_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "DocNo", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(200),
        allowNull: false,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "Name", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(200),
        allowNull: false,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "NameBM", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(1000),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "Description", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(30),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "ItemId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(200),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "ItemType", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(30),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "ItemSKU", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(30),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "ItemSerialNo", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.CHAR(3),
        allowNull: false,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "Currency", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
        allowNull: true,
    }),
    __metadata("design:type", Number)
], DocumentItemModel.prototype, "UnitPrice", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
        allowNull: true,
    }),
    __metadata("design:type", Number)
], DocumentItemModel.prototype, "Quantity", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING(20),
        allowNull: true,
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "QuantityUOM", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
        allowNull: false,
    }),
    __metadata("design:type", Number)
], DocumentItemModel.prototype, "Amount", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "TaxCode", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
        allowNull: true,
    }),
    __metadata("design:type", Number)
], DocumentItemModel.prototype, "TaxAmount", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
        allowNull: true,
    }),
    __metadata("design:type", Number)
], DocumentItemModel.prototype, "TaxRate", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "TaxInclusiveYN", void 0);
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => account_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "DtAccountNo", void 0);
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => account_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentItemModel.prototype, "CtAccountNo", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => document_entity_1.default),
    __metadata("design:type", document_entity_1.default)
], DocumentItemModel.prototype, "Document", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => account_entity_1.default),
    __metadata("design:type", account_entity_1.default)
], DocumentItemModel.prototype, "Account", void 0);
DocumentItemModel = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: 'finance_DocumentItem', timestamps: false })
], DocumentItemModel);
exports.default = DocumentItemModel;
//# sourceMappingURL=document-item.entity.js.map