"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const enum_1 = require("../enum");
const finance_company_entity_1 = require("./finance-company.entity");
const document_item_entity_1 = require("./document-item.entity");
let DocumentModel = class DocumentModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "DocNo", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "DocType", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], DocumentModel.prototype, "DocDate", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cl6nzvo780000qcw38ihpd8w6',
        description: 'CompanyId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => finance_company_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "CompanyId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.CHAR(3),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "Currency", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], DocumentModel.prototype, "Amount", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(1000),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "Description", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "Status", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "IssuedById", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "IssuedToId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "IssuedToType", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "RelatedObjectId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "RelatedObjectType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288d34bc7b4312a49',
        description: 'CreatedById.',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "CreatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'Timestamp for data creation.',
    }),
    sequelize_typescript_1.CreatedAt,
    __metadata("design:type", Date)
], DocumentModel.prototype, "CreatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288d34bc7b4312a49',
        description: 'UpdatedById.',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "UpdatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'Timestamp for latest data modification',
    }),
    sequelize_typescript_1.UpdatedAt,
    __metadata("design:type", Date)
], DocumentModel.prototype, "UpdatedAt", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "DocPDFFileMediaId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "DocHTMLFileMediaId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Customer Id in API',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "AccSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'N',
        description: 'PostedToAccSystemYN',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "PostedToAccSystemYN", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288',
        description: 'PostedById',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'PostedToAccSystem Date',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], DocumentModel.prototype, "PostedDateTime", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], DocumentModel.prototype, "UseAccSystemDocYN", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => document_item_entity_1.default),
    __metadata("design:type", Array)
], DocumentModel.prototype, "DocumentItems", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => finance_company_entity_1.default),
    __metadata("design:type", finance_company_entity_1.default)
], DocumentModel.prototype, "FinanceCompany", void 0);
DocumentModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_Document',
    })
], DocumentModel);
exports.default = DocumentModel;
//# sourceMappingURL=document.entity.js.map