"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const ledger_transaction_entity_1 = require("./ledger-transaction.entity");
const finance_company_entity_1 = require("./finance-company.entity");
let JournalEntryModel = class JournalEntryModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cl6nzvo780000qcw38ihpd8w6',
        description: 'CompanyId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => finance_company_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "CompanyId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'JournalEntryId' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "JournalEntryId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: Date, description: 'Date' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], JournalEntryModel.prototype, "Date", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Name of the journal entry',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "Name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Description of the journal entry',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(1000),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "Description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Customer Id in API',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "AccSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'N',
        description: 'PostedToAccSystemYN',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "PostedToAccSystemYN", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288',
        description: 'PostedById',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], JournalEntryModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'PostedToAccSystem Date',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], JournalEntryModel.prototype, "PostedDateTime", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => ledger_transaction_entity_1.default),
    __metadata("design:type", Array)
], JournalEntryModel.prototype, "LedgerTransactions", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => finance_company_entity_1.default),
    __metadata("design:type", finance_company_entity_1.default)
], JournalEntryModel.prototype, "FinanceCompany", void 0);
JournalEntryModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_JournalEntry',
        timestamps: false,
    })
], JournalEntryModel);
exports.default = JournalEntryModel;
//# sourceMappingURL=journal-entry.entity.js.map