import { Model } from 'sequelize-typescript';
import AccountModel from './account.entity';
import DocumentModel from './document.entity';
import JournalEntryModel from './journal-entry.entity';
import PaymentModel from './payment.entity';
export default class LedgerTransactionModel extends Model {
    TransactionId: string;
    TransactionType: string;
    JournalEntryId: string;
    AccountNo: string;
    Date: Date;
    Description: string;
    Currency: string;
    DebitAmount: number;
    CreditAmount: number;
    RelatedObjectId: string;
    RelatedObjectType: string;
    RelatedDocNo: string;
    RelatedPaymentId: string;
    Account: AccountModel;
    JournalEntry: JournalEntryModel;
    Document: DocumentModel;
    Payment: PaymentModel;
}
