"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const account_entity_1 = require("./account.entity");
const document_entity_1 = require("./document.entity");
const journal_entry_entity_1 = require("./journal-entry.entity");
const payment_entity_1 = require("./payment.entity");
let LedgerTransactionModel = class LedgerTransactionModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'Transactionid' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "TransactionId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Transaction Type eg. "Credit", "Debit"',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(20),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "TransactionType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'JournalEntryId' }),
    (0, sequelize_typescript_1.ForeignKey)(() => journal_entry_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "JournalEntryId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'AccountNo' }),
    (0, sequelize_typescript_1.ForeignKey)(() => account_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "AccountNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: Date, description: 'Date' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], LedgerTransactionModel.prototype, "Date", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Description of the ledger transaction',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(1000),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "Description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Currency',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.CHAR(3),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "Currency", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: Number,
        description: 'Debit Amount of the ledger transaction',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], LedgerTransactionModel.prototype, "DebitAmount", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: Number,
        description: 'Credit Amount of the ledger transaction',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], LedgerTransactionModel.prototype, "CreditAmount", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'RelatedObjectId',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "RelatedObjectId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'RelatedObjectType',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "RelatedObjectType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'DocNo' }),
    (0, sequelize_typescript_1.ForeignKey)(() => document_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "RelatedDocNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'PaymentId' }),
    (0, sequelize_typescript_1.ForeignKey)(() => payment_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], LedgerTransactionModel.prototype, "RelatedPaymentId", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => account_entity_1.default),
    __metadata("design:type", account_entity_1.default)
], LedgerTransactionModel.prototype, "Account", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => journal_entry_entity_1.default),
    __metadata("design:type", journal_entry_entity_1.default)
], LedgerTransactionModel.prototype, "JournalEntry", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => document_entity_1.default),
    __metadata("design:type", document_entity_1.default)
], LedgerTransactionModel.prototype, "Document", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => payment_entity_1.default),
    __metadata("design:type", payment_entity_1.default)
], LedgerTransactionModel.prototype, "Payment", void 0);
LedgerTransactionModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_LedgerTransaction',
        timestamps: false,
    })
], LedgerTransactionModel);
exports.default = LedgerTransactionModel;
//# sourceMappingURL=ledger-transaction.entity.js.map