"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const account_entity_1 = require("./account.entity");
const payment_method_entity_1 = require("./payment-method.entity");
let PaymentMethodTypeModel = class PaymentMethodTypeModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => payment_method_entity_1.default),
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodTypeModel.prototype, "MethodId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodTypeModel.prototype, "MethodTypeId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'Cash' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], PaymentMethodTypeModel.prototype, "Name", void 0);
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => account_entity_1.default),
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodTypeModel.prototype, "AccountNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: '100.0' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], PaymentMethodTypeModel.prototype, "ProcessingFeeRate", void 0);
__decorate([
    (0, sequelize_typescript_1.ForeignKey)(() => account_entity_1.default),
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodTypeModel.prototype, "ProcessingFeeAccountNo", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => account_entity_1.default),
    __metadata("design:type", account_entity_1.default)
], PaymentMethodTypeModel.prototype, "Account", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => payment_method_entity_1.default),
    __metadata("design:type", payment_method_entity_1.default)
], PaymentMethodTypeModel.prototype, "PaymentMethod", void 0);
PaymentMethodTypeModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_PaymentMethodType',
        createdAt: false,
        updatedAt: false,
    })
], PaymentMethodTypeModel);
exports.default = PaymentMethodTypeModel;
//# sourceMappingURL=payment-method-type.entity.js.map