"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const enum_1 = require("../enum");
const payment_method_type_entity_1 = require("./payment-method-type.entity");
const payment_entity_1 = require("./payment.entity");
let PaymentPaidWithModel = class PaymentPaidWithModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cl6nzvo780000qcw38ihpd8w6',
        description: 'PaymentId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => payment_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "PaymentId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cl6nzvo780000qcw38ihpd8w6',
        description: 'MethodTypeId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => payment_method_type_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "MethodTypeId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.CHAR(3),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "Currency", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], PaymentPaidWithModel.prototype, "Amount", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "Status", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "TransactionId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(200),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefBank", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(300),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefName", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefNo", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(500),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefOther1", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(500),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefOther2", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(500),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefOther3", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(500),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefOther4", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(500),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "RefOther5", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.TEXT,
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "Remarks", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentPaidWithModel.prototype, "PaymentMediaId", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => payment_entity_1.default),
    __metadata("design:type", payment_entity_1.default)
], PaymentPaidWithModel.prototype, "Payment", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => payment_method_type_entity_1.default),
    __metadata("design:type", payment_method_type_entity_1.default)
], PaymentPaidWithModel.prototype, "PaymentMethodType", void 0);
PaymentPaidWithModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_PaymentPaidWith',
        createdAt: false,
        updatedAt: false,
    })
], PaymentPaidWithModel);
exports.default = PaymentPaidWithModel;
//# sourceMappingURL=payment-paid-with.entity.js.map