"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const enum_1 = require("../enum");
const payment_item_entity_1 = require("./payment-item.entity");
let PaymentModel = class PaymentModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "PaymentId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Payment Received', 'Payout'),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "PaymentType", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], PaymentModel.prototype, "PaymentDate", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(1000),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "Description", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.CHAR(3),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "Currency", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.DECIMAL(10, 2),
    }),
    __metadata("design:type", Number)
], PaymentModel.prototype, "Amount", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "Status", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "ReceivedBy", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'Timestamp for latest data modification',
    }),
    sequelize_typescript_1.UpdatedAt,
    __metadata("design:type", Date)
], PaymentModel.prototype, "UpdatedAt", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "UpdatedBy", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.TEXT,
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "Remarks", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Account Customer Id in API',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "AccSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'N',
        description: 'PostedToAccSystemYN',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.ENUM('Y', 'N'),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "PostedToAccSystemYN", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: '138140891dd211b288',
        description: 'PostedById',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: new Date(),
        description: 'PostedToAccSystem Date',
    }),
    (0, sequelize_typescript_1.Column)({
        allowNull: true,
        type: sequelize_typescript_1.DataType.DATE,
    }),
    __metadata("design:type", Date)
], PaymentModel.prototype, "PostedDateTime", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => payment_item_entity_1.default),
    __metadata("design:type", Array)
], PaymentModel.prototype, "PaymentItems", void 0);
PaymentModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_Payment',
        timestamps: true,
        createdAt: false,
    })
], PaymentModel);
exports.default = PaymentModel;
//# sourceMappingURL=payment.entity.js.map