"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const general_1 = require("@tomei/general");
const payment_method_type_repository_1 = require("./payment-method-type.repository");
class PaymentMethodType extends general_1.ObjectBase {
    constructor(dbTransaction, methodTypeId) {
        super();
        this.MethodTypeId = 'New';
        this.MethodId = '';
        this.Name = '';
        this.AccountNo = '';
        this.ProcessingFeeRate = 0.0;
        this.ProcessingFeeAccountNo = '';
        if (dbTransaction) {
            this._DbTransaction = dbTransaction;
        }
        if (methodTypeId) {
            this.MethodTypeId = methodTypeId;
            PaymentMethodType._RepositoryBase
                .findOne({
                where: {
                    MethodTypeId: this.MethodTypeId,
                },
                transaction: this._DbTransaction,
            })
                .then((paymentMethodTypeData) => {
                if (paymentMethodTypeData) {
                    this.Name = paymentMethodTypeData.Name;
                    this.AccountNo = paymentMethodTypeData.AccountNo;
                    this.ProcessingFeeRate = paymentMethodTypeData.ProcessingFeeRate;
                    this.ProcessingFeeAccountNo =
                        paymentMethodTypeData.ProcessingFeeAccountNo;
                }
                else {
                    throw new general_1.RecordNotFoundError('No record found.');
                }
            })
                .catch((err) => {
                console.log('Payment method type constructor err: ', err);
            });
        }
    }
    get ObjectId() {
        return this.MethodTypeId;
    }
    get ObjectName() {
        return this.Name;
    }
    get TableName() {
        return 'finance_PaymentMethodType';
    }
}
exports.default = PaymentMethodType;
PaymentMethodType._RepositoryBase = new payment_method_type_repository_1.PaymentMethodTypeRepository();
//# sourceMappingURL=payment-method-type.js.map