import { ObjectBase } from '@tomei/general';
import { PaymentType } from '../enum';
import { IPaymentParams } from './interfaces/payment-params.interface';
import { AccountSystemEntity } from '../account-system-entity/account-system-entity';
import { PaymentStatus } from '../enum/payment-status.enum';
import { PaymentRepository } from './payment.repository';
import { PaymentItemRepository } from '../payment-item/payment-item.repository';
import PaymentItem from '../payment-item/payment-item';
import PaymentPaidWith from '../payment-paid-with/payment-paid-with';
export default class Payment extends AccountSystemEntity {
    private _PaymentId;
    PaymentType: PaymentType;
    PaymentDate: Date;
    Description: string;
    Currency: string;
    Amount: number;
    Status: PaymentStatus;
    ReceivedBy: string;
    UpdatedBy: string;
    UpdatedAt: Date;
    Remarks: string;
    private static _RepositoryBase;
    private static _PaymentItemRepository;
    private static _PaymentPaidWithRepository;
    private _DbTransaction;
    private _PaymentItems;
    private _PaymentPaidWith;
    paymentItemRepository: PaymentItemRepository;
    get PaymentId(): string;
    set PaymentId(id: string);
    get RepositoryBase(): PaymentRepository;
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    constructor(dbTransaction?: any, paymentId?: string);
    get PaymentItems(): Promise<PaymentItem[]>;
    get PaymentPaidWith(): Promise<PaymentPaidWith[]>;
    newPaymentItem(objectBeingPaidFor: ObjectBase): PaymentItem;
    newPaymentPaidWith(paymentMethodTypeId: string): PaymentPaidWith;
    init(Params: IPaymentParams): void;
}
