'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_Account', {
      AccountNo: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      CompanyId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_Company',
          key: 'CompanyId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      ParentAccountNo: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      Name: {
        type: Sequelize.STRING(200),
        allowNull: false,
      },
      Description: {
        type: Sequelize.STRING(2000),
        allowNull: true,
      },
      AccountType: {
        type: Sequelize.STRING(100),
        allowNull: false,
      },
      AccountSubtype: {
        type: Sequelize.STRING(100),
        allowNull: true,
      },
      OwnerId: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      OwnerType: {
        type: Sequelize.STRING(200),
        allowNull: true,
      },
      RelatedObjectId: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      RelatedObjectType: {
        type: Sequelize.STRING(200),
        allowNull: true,
      },
      CreatedAt: {
        allowNull: false,
        defaultValue: new Date(),
        type: Sequelize.DATE,
      },
      CreatedById: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      UpdatedAt: {
        allowNull: true,
        defaultValue: new Date(),
        type: Sequelize.DATE,
      },
      UpdatedById: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      AccSystemRefId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      PostedToAccSystemYN: {
        type: Sequelize.ENUM(['Y', 'N']),
        allowNull: false,
      },
      PostedById: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      PostedDateTime: {
        type: Sequelize.DATE,
        allowNull: true,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_Account');
  },
};
