'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_Customer', {
      CustomerId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      CompanyId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_Company',
          key: 'CompanyId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      CustSystemCode: {
        type: Sequelize.STRING(10),
        allowNull: false,
      },
      CustSystemRefId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      AccSystemRefId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      PostedToAccSystemYN: {
        type: Sequelize.CHAR(1),
        allowNull: false,
      },
      PostedById: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
      PostedDateTime: {
        type: Sequelize.DATE,
        allowNull: true,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_Customer');
  },
};
