'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_PaymentItem', {
      PaymentId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        primaryKey: true,
        references: {
          model: 'finance_Payment',
          key: 'PaymentId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      PayForObjectId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      PayForObjectType: {
        type: Sequelize.STRING(200),
        allowNull: false,
      },
      Currency: {
        type: Sequelize.CHAR(3),
        allowNull: false,
      },
      Amount: {
        type: Sequelize.DECIMAL(10, 2),
        allowNull: false,
      },
      Name: {
        type: Sequelize.STRING(200),
        allowNull: true,
      },
      Description: {
        type: Sequelize.STRING(1000),
        allowNull: false,
      },
      Remarks: {
        type: Sequelize.STRING(5000),
        allowNull: true,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_PaymentItem');
  },
};
