'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_PaymentMethod', {
      MethodId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      Name: {
        type: Sequelize.STRING(100),
        allowNull: false,
      },
      CompanyId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_Company',
          key: 'CompanyId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_PaymentMethod');
  },
};
