'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_PaymentMethodType', {
      MethodId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_PaymentMethod',
          key: 'MethodId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      MethodTypeId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      Name: {
        type: Sequelize.STRING(100),
        allowNull: false,
      },
      AccountNo: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_Account',
          key: 'AccountNo',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      ProcessingFeeRate: {
        type: Sequelize.DECIMAL(10, 2),
        allowNull: false,
      },
      ProcessingFeeAccountNo: {
        type: Sequelize.STRING(30),
        allowNull: false,
        references: {
          model: 'finance_Account',
          key: 'AccountNo',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_PaymentMethodType');
  },
};
