'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_PaymentPaidWith', {
      PaymentId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
        references: {
          model: 'finance_Payment',
          key: 'PaymentId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      MethodTypeId: {
        type: Sequelize.STRING(30),
        allowNull: false,
        primaryKey: true,
        references: {
          model: 'finance_PaymentMethodType',
          key: 'MethodTypeId',
        },
        onUpdate: 'CASCADE',
        onDelete: 'CASCADE',
      },
      Currency: {
        type: Sequelize.CHAR(3),
        allowNull: false,
      },
      Amount: {
        type: Sequelize.DECIMAL(10, 2),
        allowNull: false,
      },
      Status: {
        type: Sequelize.STRING(20),
        allowNull: false,
      },
      TransactionId: {
        type: Sequelize.STRING(100),
        allowNull: true,
      },
      RefBank: {
        type: Sequelize.STRING(200),
        allowNull: true,
      },
      RefName: {
        type: Sequelize.STRING(300),
        allowNull: true,
      },
      RefNo: {
        type: Sequelize.STRING(100),
        allowNull: true,
      },
      RefOther1: {
        type: Sequelize.STRING(500),
        allowNull: true,
      },
      RefOther2: {
        type: Sequelize.STRING(500),
        allowNull: true,
      },
      RefOther3: {
        type: Sequelize.STRING(500),
        allowNull: true,
      },
      RefOther4: {
        type: Sequelize.STRING(500),
        allowNull: true,
      },
      RefOther5: {
        type: Sequelize.STRING(500),
        allowNull: true,
      },
      Remarks: {
        type: Sequelize.TEXT,
        allowNull: true,
      },
      PaymentMediaId: {
        type: Sequelize.STRING(30),
        allowNull: true,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_PaymentPaidWith');
  },
};
