import { IRepositoryBase, LoginUserBase, ObjectBase } from '@tomei/general';
// import { FinanceCompany } from '../finance-company';
import { PostHistoryRepository } from './post-history.repository';
import cuid from 'cuid';
import { Injectable } from '@nestjs/common';

@Injectable()
export abstract class AccountSystemEntity extends ObjectBase {
  CompanyId = '';
  PostedToAccSystemYN = 'N';
  AccSystemRefId = '';
  PostedById = '';
  PostedDateTime: Date;
  protected abstract RepositoryBase: IRepositoryBase<any>;
  private static PostHistoryRepository = new PostHistoryRepository();

  async postToAccSystem(dbTransaction: any, loginUser: LoginUserBase) {
    try {
      /*retrieve the finance company details from finance_Company to
       * get details of the accounting system*/
      const company = 'test';
      // const company = await FinanceCompany.getFinanceCompany(this.CompanyId);

      /*todo:instantiating the appropriate accounting system to perform the post*/
      // if (this.TableName === 'finance_Customer') {
      //   await this.AccountingSystem.createCustomer();
      // }

      /*setting the posted fields*/
      this.PostedToAccSystemYN = 'Y';
      this.PostedById = loginUser.ObjectId;
      this.PostedDateTime = new Date();

      /*updating the posted fields to the table either using direct
       * SQL or RepositoryBase*/
      const entity = await this.RepositoryBase.findByPk(this.ObjectId);
      const updated = await entity.update(
        {
          PostedToAccSystemYN: this.PostedToAccSystemYN,
          PostedById: this.PostedById,
          PostedDateTime: this.PostedDateTime,
        },
        { transaction: dbTransaction },
      );

      /*writing to accounting transaction log table finance_PostHistory*/
      await AccountSystemEntity.PostHistoryRepository.create(
        {
          PostId: cuid(),
          DateTime: this.PostedDateTime,
          ItemId: this.ObjectId,
          ItemType: this.TableName,
          ItemValue: JSON.stringify(updated),
          PostedById: this.PostedById,
          AccSystemCode: 'test',
          // AccSystemCode: company.AccSystemCode,
          AccSystemRefId: this.AccSystemRefId,
        },
        { transaction: dbTransaction },
      );
    } catch (err) {
      throw err;
    }
  }
}
