import Document from './document';
import { ObjectBase } from '@tomei/general';
import { DocumentItemRepository } from './document-item.repository';

export default class DocumentItem extends ObjectBase {
  DocumentItemId = 'New';
  DocNo = '';
  Name = '';
  NameBM = '';
  Description? = '';
  ItemId = '';
  ItemType = '';
  ItemSKU = '';
  ItemSerialNo = '';
  Currency = 'MYR';
  UnitPrice = 0;
  Quantity = 0;
  QuantityUOM = 'Pieces';
  private _Amount = 0;
  TaxCode = '';
  TaxAmount = 0;
  TaxRate = 0;
  TaxInclusiveYN = 'N';
  DtAccountNo = '';
  CtAccountNo = '';

  private static _RepositoryBase = new DocumentItemRepository();

  private _DbTransaction: any;
  private _Document: Document;

  /* ObjectBase Implementation */
  get ObjectId() {
    return this.ItemId;
  }
  get ObjectName() {
    return this.Name;
  }

  get TableName() {
    return 'finance_DocumentItem';
  }

  get Document() {
    return this._Document;
  }

  set Document(document: Document) {
    this._Document = document;
  }

  get DbTransaction() {
    return this._DbTransaction;
  }

  set DbTransaction(dbTransaction: any) {
    this._DbTransaction = dbTransaction;
  }

  get Amount() {
    return this._Amount;
  }

  set Amount(amount: number) {
    this._Amount = amount;
    this._Document.reCalculateAmount();
  }

  constructor(dbTransaction: any, document: Document) {
    super();
    this._DbTransaction = dbTransaction;
    this._Document = document;
  }

  init(data: any) {
    this.DocumentItemId = data.DocumentItemId || this.DocumentItemId;
    this.DocNo = data.DocNo || this.DocNo;
    this.Name = data.Name || this.Name;
    this.NameBM = data.NameBM || this.NameBM;
    this.Description = data.Description || this.Description;
    this.ItemId = data.ItemId || this.ItemId;
    this.ItemType = data.ItemType || this.ItemType;
    this.ItemSKU = data.ItemSKU || this.ItemSKU;
    this.ItemSerialNo = data.ItemSerialNo || this.ItemSerialNo;
    this.Currency = data.Currency || this.Currency;
    this.UnitPrice = data.UnitPrice || this.UnitPrice;
    this.Quantity = data.Quantity || this.Quantity;
    this.QuantityUOM = data.QuantityUOM || this.QuantityUOM;
    this._Amount = data.Amount || this._Amount;
    this.TaxCode = data.TaxCode || this.TaxCode;
    this.TaxAmount = data.TaxAmount || this.TaxAmount;
    this.TaxRate = data.TaxRate || this.TaxRate;
    this.TaxInclusiveYN = data.TaxInclusiveYN || this.TaxInclusiveYN;
    this.DtAccountNo = data.DtAccountNo || this.DtAccountNo;
    this.CtAccountNo = data.CtAccountNo || this.CtAccountNo;
  }
}
