export default function type(value: any): string {
  if (value === null) {
    return 'null';
  }
  const baseType = typeof value;

  if (!['object', 'function'].includes(baseType)) {
    return baseType;
  }

  const tag = value[Symbol.toStringTag];
  if (typeof tag === 'string') {
    return tag;
  }

  if (
    baseType === 'function' &&
    Function.prototype.toString.call(value).startsWith('class')
  ) {
    return Function.prototype.toString.call(value).split(' ')[1];
  }

  const className = value.constructor.name;
  if (typeof className === 'string' && className !== '') {
    return className;
  }

  return baseType;
}
