import { ApiProperty } from '@nestjs/swagger';
import { Column, DataType, HasMany, Model, Table } from 'sequelize-typescript';
import FinanceCustomerModel from './customer.entity';

@Table({ tableName: 'finance_Company', createdAt: false, updatedAt: false })
export default class FinanceCompanyModel extends Model {
  @ApiProperty({ example: 'cl6nzvo780000qcw38ihpd8w6' })
  @Column({ primaryKey: true, allowNull: false, type: DataType.STRING(30) })
  CompanyId: string;

  @ApiProperty({ example: 'AB' })
  @Column({ allowNull: false, type: DataType.STRING(10) })
  CompSystemCode: string;

  @ApiProperty({ example: 'cl6nzvo780000qcw38ihpd8w6' })
  @Column({ allowNull: false, type: DataType.STRING(30) })
  CompSystemRefId: string;

  @ApiProperty({ example: 'AB' })
  @Column({ allowNull: false, type: DataType.STRING(10) })
  AccSystemCode: string;

  @HasMany(() => FinanceCustomerModel)
  FinanceCustomers: FinanceCustomerModel[];
}
