import {
  BelongsTo,
  Column,
  DataType,
  ForeignKey,
  Model,
  Table,
} from 'sequelize-typescript';
import PaymentModel from './payment.entity';

@Table({ tableName: 'finance_PaymentItem', createdAt: false, updatedAt: false })
export default class PaymentItemModel extends Model {
  @ForeignKey(() => PaymentModel)
  @Column({
    primaryKey: true,
    allowNull: false,
    type: DataType.STRING(30),
  })
  PaymentId: string;

  @Column({
    primaryKey: true,
    allowNull: false,
    type: DataType.STRING(30),
  })
  PayForObjectId: string;

  @Column({
    allowNull: false,
    type: DataType.STRING(100),
  })
  PayForObjectType: string;

  @Column({
    allowNull: false,
    type: DataType.CHAR(3),
  })
  Currency: string;

  @Column({
    allowNull: false,
    type: DataType.DECIMAL(10, 2),
  })
  Amount: number;

  @Column({
    type: DataType.STRING(200),
    allowNull: true,
  })
  Name: string;

  @Column({
    type: DataType.STRING(1000),
    allowNull: false,
  })
  Description: string;

  @BelongsTo(() => PaymentModel)
  Payment: PaymentModel;
}
