import { ApiProperty } from '@nestjs/swagger';
import { Column, DataType, Model, Table } from 'sequelize-typescript';

@Table({ tableName: 'finance_PostHistory', createdAt: false, updatedAt: false })
export default class FinancePostHistoryModel extends Model {
  @ApiProperty({ type: String, description: 'PostId' })
  @Column({
    primaryKey: true,
    allowNull: false,
    type: DataType.STRING(30),
  })
  PostId: string;

  @ApiProperty({ type: Date })
  @Column({ allowNull: false, type: DataType.DATE })
  DateTime: Date;

  @ApiProperty({ type: String, description: 'ItemId' })
  @Column({ allowNull: false, type: DataType.STRING(30) })
  ItemId: string;

  @ApiProperty({ type: String, description: 'ItemType' })
  @Column({ allowNull: false, type: DataType.STRING(200) })
  ItemType: string;

  @ApiProperty({ type: String, description: 'ItemValue' })
  @Column({ allowNull: false, type: DataType.JSON })
  ItemValue: string;

  @ApiProperty()
  @Column({ allowNull: false, type: DataType.STRING(30) })
  PostedById: string;

  @ApiProperty()
  @Column({ allowNull: false, type: DataType.STRING(10) })
  AccSystemCode: string;

  @ApiProperty()
  @Column({ allowNull: false, type: DataType.STRING(30) })
  AccSystemRefId: string;
}
