import { ObjectBase } from '@tomei/general';
import Payment from '../payment/payment';
import type from '../helpers/typeof';

export default class PaymentItem extends ObjectBase {
  private _PaymentId = '';
  private _PayForObjectId = '';
  private _PayForObjectType = '';
  Currency = 'MYR';
  Amount = 0;
  Name = '';
  Description = '';
  Remarks = '';

  get PaymentId() {
    return this._PaymentId;
  }

  private set PaymentId(id: string) {
    this._PaymentId = id;
  }

  get PayForObjectId() {
    return this._PayForObjectId;
  }

  private set PayForObjectId(id: string) {
    this._PayForObjectId = id;
  }

  get PayForObjectType(): string {
    return this._PayForObjectType;
  }

  private set PayForObjectType(type: string) {
    this._PayForObjectType = type;
  }

  /* ObjectBase Implementation */
  get ObjectId() {
    return '';
  }

  get ObjectName() {
    return '';
  }

  get TableName() {
    return 'finance_PaymentItem';
  }

  constructor(payment: Payment, objectBeingPaidFor: ObjectBase) {
    super();
    this.PaymentId = payment.PaymentId;
    this.PayForObjectId = objectBeingPaidFor.ObjectId;
    this.PayForObjectType = type(objectBeingPaidFor);
  }
}
