import { ObjectBase } from '@tomei/general';
import { PaymentStatus } from '../enum';
import Payment from '../payment/payment';
import { PaymentPaidWithRepository } from './payment-paid-with.repository';

export default class PaymentPaidWith extends ObjectBase {
  private _PaymentId = '';
  private _MethodTypeId = '';
  Currency = 'MYR';
  Amount = 0;
  Status: PaymentStatus;
  TransactionId = '';
  RefBank = '';
  RefName = '';
  RefNo = '';
  RefOther1 = '';
  RefOther2 = '';
  RefOther3 = '';
  RefOther4 = '';
  RefOther5 = '';
  Remarks = '';
  PaymentMediaId = '';

  private static _RepositoryBase = new PaymentPaidWithRepository();

  public get PaymentId() {
    return this._PaymentId;
  }

  public set PaymentId(id: string) {
    this._PaymentId = id;
  }

  public get MethodTypeId() {
    return this._MethodTypeId;
  }

  public set MethodTypeId(id: string) {
    this._MethodTypeId = id;
  }

  /* ObjectBase Implementation */
  get ObjectId() {
    return '';
  }

  get ObjectName() {
    return '';
  }

  get TableName() {
    return 'finance_PaymentPaidWith';
  }

  constructor(payment: Payment, paymentMethodTypeId: string) {
    super();
    this.PaymentId = payment.PaymentId;
    this.MethodTypeId = paymentMethodTypeId;
  }
}
